Subject: têtes de notes fusionnent quand elles veulent

From: Éditions IN NOMINE<[email-masked]>
Date: Tue, 14 Dec 2010 17:12:16 +0100

Bonjour à toute la troupe.

Je suis confronté à un pb bête comme chou (comme d'ha) et donc très
énervant...

Voici un bout de code (2.13)

voixA = \relative c'' {a'4 a, b4. b8 a1}
voixB = \relative c'' {c4 a2 gis4 a1}
voixC = \relative c' {\showStaffSwitch \clef bass e4 \change Staff =
"up" e2 e4 \change Staff = "down" f1}

<<
  \new Staff = "up" <<
    \new Voice {\stemUp \voixA}
    \new Voice {\stemDown \voixB}
  \new Staff = "down" {\stemDown \voixC}

Quand je commente la voix C, les secondes notes des voix A et B (les a,
et a2) ne fusionnent pas et j'ai donc un beau a4 collé à un a2.
Vous vous en doutez, si je rajoute la voix C et que je compile le tout,
le a2 de la voix C "merge" dans le a, noire de la voix A, alors que je
souhaite opbtenir le a,4 de la voixA collé à un bel accord <a2 e> des
voix B et C.
Alors, vous allez me dire, je n'ai qu'à faire <a e>2 à la voix B et s2
dans la voix C (si si vous alliez le dire !). Ce n'est en fait pas très
satisfaisant, et le \change Staff n'apparaît alors plus.

Quesiotn, donc : comment fair epour empêcher que ces deux la là ne
mergent pas quand je rajoute la voix C ?

J'ai tenté, sans succès, \mergeDifferentlyHeadedOn et Off...

Merci d'avance !
JMarc

---

From: Bertrand Bordage <[email-masked]>
Date: Tue, 14 Dec 2010 17:28:33 +0100

Un petit \voiceFour pour la voix B ?
Ceci mis à part, je ne comprends pas pourquoi ces changements de portée...

Le 14 décembre 2010 17:12, Éditions IN NOMINE
<[email-masked]>a écrit :

> voixC = \relative c' {\showStaffSwitch \clef bass e4 \change Staff = "up"
> e2 e4 \change Staff = "down" f1}
>
> <<
>  \new Staff = "up" <<
> Quand je commente la voix C, les secondes notes des voix A et B (les a, et
> a2) ne fusionnent pas et j'ai donc un beau a4 collé à un a2.
> Vous vous en doutez, si je rajoute la voix C et que je compile le tout, le
> a2 de la voix C "merge" dans le a, noire de la voix A, alors que je souhaite
> opbtenir le a,4 de la voixA collé à un bel accord <a2 e> des voix B et C.
> Alors, vous allez me dire, je n'ai qu'à faire <a e>2 à la voix B et s2 dans
> la voix C (si si vous alliez le dire !). Ce n'est en fait pas très
> Quesiotn, donc : comment fair epour empêcher que ces deux la là ne mergent
> pas quand je rajoute la voix C ?
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> http://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>

---

From: Éditions IN NOMINE<[email-masked]>
Date: Tue, 14 Dec 2010 22:56:54 +0100

> Un petit \voiceFour pour la voix B ?
Ah oui, j'ignorai totalement ... allez, une révision de la doc 3.2.2 !
Merci !
> Ceci mis à part, je ne comprends pas pourquoi ces changements de portée...
Cet exemple est issu d'une parto à 4 voix pour orgue, et dans ce
passage, la main gauche descend dans le grave pour la 4ème voix : la
3ème voix est alors jouée à la main droite avec les 2 premières, ce qui
explique une montée vers la portée supérieure. Il est vrai que l'exemple
sorti de son contexte peut paraître assez saugrenu !

Merci encore

JMarc
> <[email-masked] <mailto:[email-masked]>> a
> écrit :
>
>     Je suis confronté à un pb bête comme chou (comme d'ha) et donc
>     très énervant...
>
>     voixC = \relative c' {\showStaffSwitch \clef bass e4 \change Staff
>     = "up" e2 e4 \change Staff = "down" f1}
>
>     <<
>      \new Staff = "up" <<
>     Quand je commente la voix C, les secondes notes des voix A et B
>     (les a, et a2) ne fusionnent pas et j'ai donc un beau a4 collé à
>     un a2.
>     Vous vous en doutez, si je rajoute la voix C et que je compile le
>     tout, le a2 de la voix C "merge" dans le a, noire de la voix A,
>     alors que je souhaite opbtenir le a,4 de la voixA collé à un bel
>     accord <a2 e> des voix B et C.
>     Alors, vous allez me dire, je n'ai qu'à faire <a e>2 à la voix B
>     et s2 dans la voix C (si si vous alliez le dire !). Ce n'est en
>     fait pas très satisfaisant, et le \change Staff n'apparaît alors plus.
>
>     [email-masked] <mailto:[email-masked]>

---

From: Bertrand Bordage <[email-masked]>
Date: Tue, 14 Dec 2010 23:12:35 +0100

Oui, mais je ne trouve pas nécessaire de mettre les traits de changement de
portée. Et je ne comprends toujours pas pourquoi, au dernier temps, la voix
du dessous ne reste pas sur la portée. Enfin, question de choix et de
contexte.
Comme je suis pour ne pas abuser des changements de portées ou des traits
qui les montrent...

Dans les éditions du CMBV, les quelques cas de musique pour clavier sont
très intéressants pour montrer ce qui, à mon sens, il ne faut surtout pas
faire. Déjà que leurs publications sont souvent difficilement lisibles (sans
parler des fautes d'édition et de texte musical...), mais là...
Un splendide exemple :
http://editions.cmbv.fr/pdf/cm-pdf/beauvarlet/cm209005.pdf

---

From: Christophe Pochon <[email-masked]>
Date: Wed, 15 Dec 2010 00:48:03 +0100

C'est en effet très laid.... mais il faut avoir travailler avec Lilypond
pour s'en rendre compte....

Christophe Pochon
http://www.christophe-pochon.com

Le 14 décembre 2010 23:12, Bertrand Bordage <[email-masked]> a

---

From: Christophe Pochon <[email-masked]>
Date: Wed, 15 Dec 2010 00:48:26 +0100

oups "travaillé" (je sors du répétition bien arrosée...)

Christophe Pochon

Le 15 décembre 2010 00:48, Christophe Pochon <[email-masked]> a
écrit :

>>  Oui, mais je ne trouve pas nécessaire de mettre les traits de changement
>> de portée. Et je ne comprends toujours pas pourquoi, au dernier temps, la
>> voix du dessous ne reste pas sur la portée. Enfin, question de choix et de
>> contexte.

---

From: Éditions IN NOMINE<[email-masked]>
Date: Wed, 15 Dec 2010 08:50:53 +0100

Bertrand Bordage a écrit :
> Oui, mais je ne trouve pas nécessaire de mettre les traits de
> changement de portée.
Je prends note. Je combinerai ça avec l'avis d'un organiste et d'un
pianiste. Ne l'étant pas moi-même, il est tout à fait possible que tu
aies raison.
> Et je ne comprends toujours pas pourquoi, au dernier temps, la voix du
> dessous ne reste pas sur la portée. Enfin, question de choix et de
> contexte.
Ça, c'était pour le fun... :-!  aucun intérêt, donc !
> Comme je suis pour ne pas abuser des changements de portées ou des
> traits qui les montrent...
>
> Dans les éditions du CMBV, les quelques cas de musique pour clavier
> sont très intéressants pour montrer ce qui, à mon sens, il ne faut
> surtout pas faire. Déjà que leurs publications sont souvent
> difficilement lisibles (sans parler des fautes d'édition et de texte
> musical...), mais là...
Ben déjà ils bossent avec Finale. Ne les accablons pas ! :-P
> Un splendide exemple
> :http://editions.cmbv.fr/pdf/cm-pdf/beauvarlet/cm209005.pdf
Ah oui, quand-même, ils flèchent carrément le parcours... bon ça me fait
réfléchir tout ça (aaaaïïïeuh !) et je crois que je vais opter pour la
légèreté, effectivement.

Merci et à bientôt !
JMarc

---

From: Éditions IN NOMINE<[email-masked]>
Date: Wed, 15 Dec 2010 08:52:05 +0100

eh bien, elle devait être belle à voir, la harde !  :-P

JM

Christophe Pochon a écrit :
> Le 15 décembre 2010 00:48, Christophe Pochon
> <[email-masked] <mailto:[email-masked]>> a
> écrit :
>
>     C'est en effet très laid.... mais il faut avoir travailler avec
>     Lilypond pour s'en rendre compte....
>
>
>     Christophe Pochon
>     Le 14 décembre 2010 23:12, Bertrand Bordage
>     <[email-masked] <mailto:[email-masked]>> a
>     écrit :
>
>         changement de portée. Et je ne comprends toujours pas
>         pourquoi, au dernier temps, la voix du dessous ne reste pas
>         sur la portée. Enfin, question de choix et de contexte.
>         Comme je suis pour ne pas abuser des changements de portées ou
>         des traits qui les montrent...
>
>         Dans les éditions du CMBV, les quelques cas de musique pour
>         clavier sont très intéressants pour montrer ce qui, à mon
>         sens, il ne faut surtout pas faire. Déjà que leurs
>         publications sont souvent difficilement lisibles (sans parler
>         des fautes d'édition et de texte musical...), mais là...
>         Un splendide exemple
>         : http://editions.cmbv.fr/pdf/cm-pdf/beauvarlet/cm209005.pdf
>

---

From: Bertrand Bordage <[email-masked]>
Date: Wed, 15 Dec 2010 13:29:08 +0100

> Ben déjà ils bossent avec Finale. Ne les accablons pas ! :-P

Je ne suis pas spécialiste des différences entre Finale et les autres, mais
on m'a dit qu'ils utilisaient Sibelius. Ce qui est un peu mieux je crois.
M'enfin c'est vraiment pour le plaisir de chipoter que je dis ça !

Oui, c'est... particulier. Le genre d'erreur à éviter à tout prix : isoler
une note par un changement de portée, comme à la première mesure. Le la
devrait être dans la portée supérieure. Qu'il y ait deux interlignes
supplémentaires n'est pas gênant pour un clavieriste.
Après, on peut toujours le faire, comme ici :
http://216.129.110.22/files/imglnks/usimg/4/43/IMSLP00815-BWV0685.pdf
Dans le premier système, les changements de portée de la seconde voix ont 3
justifications :
- avec les ligatures, les changements de portée sont très visuels, aussi les
lit-on naturellement
- cela suggère de prendre ces notes à la main gauche
- il y a une logique entre eux, ce qui rend plus aisée la lecture.

Quand on ne connaît pas les habitudes, c'est difficile de décider... Il faut
faire son expérience.

En tout cas, dans de nombreux cas il faut éviter la logique : portée du haut
= main doite, portée du bas = main gauche. Surtout pour la musique d'orgue
polyphonique.
Un bon organiste préfère généralement avoir, par exemple, deux voix sur la
portée du haut et deux en bas pendant tout le morceau. On privilégie la
logique par voix à la logique de clavier. Mais ça ne marche facilement que
dans peu de cas. En tout cas, la "règle" est de ne jamais mettre de trait de
changement de portée, à moins qu'il y ait un ambiguïté musicale (ce qui est
rarissime).

"Hélas", la musique d'orgue est sans doute la plus difficile à graver.
Contrairement au piano, on s'interdit presque toujours la notation par
accord (avec laquelle toute partition polyphoniquement un peu complexe
devient un cauchemar). Et on aime aussi que les partitions soient carrées et
ultra-logiques :D

Étudier les partitions d'orgue du *Bach-Gesellschaft Ausgabe *crée par
Breitkopf au XIXème (de 1851 à 1900 !) est sans doute* *la meilleure
solution pour savoir ce qu'il faut faire et oser certaines choses. On peut
tout trouver sur IMSLP. Presque aucun éditeur n'arrive à éditer des
partitions si complexes. C'est le travail de nombreuses personnes de talent
(dont un certain Dr. Franz Liszt et un autre Dr. Johannes Brahms :
http://216.129.110.22/files/imglnks/usimg/0/0b/IMSLP02107-BGA_01_Preface.pdf
 ).
Il ne faut pas se fier à l'apparence "maigre" et fine de la partition. J'ai
vu un exemplaire de l'époque dans un temple, c'est (presque) aussi beau que
du LilyPond. Sans doute le scan est-il en cause.

Comme exemple, je donnerais ceci
http://imslp.info/files/imglnks/usimg/8/88/IMSLP00797-BWV0552.pdf dont on
m'a commandé une édition LilyPond cette année... La fugue (à partir de la
page 12) est particulièrement intéressante...
Ou encore les deux derniers systèmes de
http://216.129.110.22/files/imglnks/usimg/3/38/IMSLP00809-BWV0680.pdf

Ce n'est pas une bible de la gravure, il y a à mon sens des petits défauts
de gravure dedans. Mais cela permet de voir à quoi l'organiste professionel
est gavé. Et d'oser !